; You must run clump_dnn_fft_all.pro before running this script. 
; It creates a figure for a sinusoidal perturbation with varying amplitude





!p.font=1

set_plot,'ps'
; loadct,41,file='~/idl/colors1.tbl'
loadct,43,file='/disk/solarz2/has/hamish/idl/colourblind.tbl'
!p.multi=1

!p.charsize=2.5
!p.charthick=10
!p.symsize=1.0
!p.thick=6
!p.multi=[0,1,2]
!x.margin=[10,2]
!x.omargin=[0,0]
!y.omargin=[0,0]
!y.margin=[0,0]

fname=string('clump/g_sin_dnn_lwed_ref2.eps')

name = string('~/Documents/'+fname)
name = strcompress(name,/remove_all)
device,filename = name,/color,encapsulated=1,set_font='NewCenturySchlbk-Bold',xsize=9.,ysize=6.,/inches

; n = n_elements(x[*,0])
 
; plot,x,y,xtit=xtit,ytit=ytit,/nodata
plot_io,r_x0/5d9,lw_ed_time_all[4,*,300],xr=[0,17],/ylog,ytit='U!DLW!N [ergs cm!E-3!N]',/nodata,ys=1,xs=1,pos=[0.15,0.35,0.95,0.95],xtickname=replicate(' ',31);,yr=[1d-23,1d-16]

colors=[0,140,80,280]
colors=[0,126,42,254]
for i=0,0,-1 do oplot,r_x0/5d9,lw_ed_time_all[i,*,300],color=colors[i]
for i=sims-1,2,-1 do oplot,r_x0/5d9,lw_ed_time_all[i,*,300],color=colors[i-1]
;for i=3,2,-1 do oplot,r_x0/5d9,max(lw_ed_time_all[i,*,*],dimension=3),color=colors[i]

; oplot,wn,pow_spec_all_2[2,200,*]
; oplot,wn,pow_spec_all_2[1,200,*]

;vline,7.90,line=2,thick=4
;vline,8.90,line=2,thick=4
;vline,9.90,line=2,thick=4

vline,8,line=2,thick=4
vline,9,line=2,thick=4
vline,10,line=2,thick=4

ssw_legend,['A=0.01','A=0.001','A=0.0001','A=0'],textcolors=reverse(colors),/left,box=0,charsize=2
; oplot,wn,ps_max1,color=140
; oplot,wn,wn^(-5./3.)/wn[n_ind/2]^(-5./3.)*ps_max1[n_ind/2],color=140,line=2
; oplot,wn,ps_max[2,*],color=80
; oplot,wn,wn^(-5./3.)/wn[n_ind/2]^(-5./3.)*ps_max[2,n_ind/2],color=80,line=2
; oplot,wn,ps_max[3,*],color=280
; oplot,wn,wn^(-5./3.)/wn[n_ind/2]^(-5./3.)*ps_max[3,n_ind/2],color=280,line=2

; for i=0,n-1 do oplot,x[i,*],y[i,*],color=(280/n)*(i+1)


plot,r_x0/5d9,l/max(l),xr=[0,17],xtit='Distance [r/!9l!D1!N!3]',ys=1,xs=1,pos=[0.15,0.20,0.95,0.35],/nodata,yr=[-1,1],ytickname=replicate(' ',31)
oplot,r_x0/5d9,l/max(l),color=200
axis,yaxis=0,ytit='L!Dmax!NL!E-1!N',color=0,ytickname=['-1',' ','0',' ','1']
; axis,yaxis=0,ytit='L!E-1!N',color=230
; plot,r_x0/5d9,n_e-5,xr=[13,37],xs=1,pos=[0.20,0.15,0.80,0.35],ys=5,xtit='Distance [!4k!3 = 50 Mm]',/nodata
; oplot,r_x0/5d9,n_e-5,color=20
; axis,yaxis=1,ytit='n!De!N-<n!De!N> [cm!E-3!N]',color=20
;vline,7.90,line=2,thick=4
;vline,8.90,line=2,thick=4
;vline,9.90,line=2,thick=4

vline,8,line=2,thick=4
vline,9,line=2,thick=4
vline,10,line=2,thick=4


print,'Saved ',name


!p.multi=1

device,/close

!p.charsize=1
!p.charthick=1
!p.symsize=1
!p.thick=1
!y.margin=[4,2]

set_plot,'x'


save,filename='/disk/solarz2/has/hamish/Documents/clump/figure_data/figure2_1.dat',sims,r_x0,lw_ed_time_all,l

end