; This is going to create a dynamic spectrum from a brightness temperature.  
; The file brightness_temp.pro must be run to create a brightness temperature before running this.
; Currently the dynamic spectrum is going to be from fundamental emission.
; It is assuming saturation of the ion sound waves

; loadct,13

set_plot,'ps'
!P.MULTI = 1

ps_file = string(path2+'dynspec_'+path_id+'_'+strtrim(a,2)+'_ref2.eps')
ps_file = strcompress(ps_file,/remove_all)	

device,filename = ps_file,/color,encapsulated=1,set_font='NewCenturySchlbk-Bold',xsize=12.,ysize=10.,/inches,bits_per_pixel=64
   

!p.charthick=1
!p.charsize=3.0
!p.charthick=5
!p.background=1
!p.color=0
!x.margin=[15,15]



time_arr = indgen(n_t)*tsave
t_min = 3
t_max = 10
time_range = where(time_arr ge t_min and time_arr le t_max)
time_arr_norm = time_arr - time_arr[time_range[0]]

freq_arr = freq
f_min = 30
f_max = 40.;d6
freq_range = where(freq_arr ge f_min and freq_arr le f_max)

dist_arr = r_x0
fine = 1.

temp = bt_k_max[freq_range,*]
bt = temp[*,time_range]
map_arr_bt = transpose(reverse(bt))  
map = make_map(map_arr_bt/1d11)


pos = [0.19,0.20,0.83,0.83]

loadct,43,file='/disk/solarz2/has/hamish/idl/colourblind.tbl'


dmax = 4e11/1d11
dmin=2d10/1d11

plot_map_h,map,position=pos,/normal,/noaxes,bottom=1,/cbar,title='',cb_title='Brightness Temperature [10!E11!NK] ',charsize=2.0;,dmax=dmax,dmin=dmin




plot,time_arr_norm[time_range],reverse(dist_arr[freq_range]/r_s),/noerase,/nodata,position=pos,xs=1,ys=5,yr=[max(dist_arr[freq_range]/r_s),min(dist_arr[freq_range]/r_s)],xtit='Time [s]'



dyn_max = dblarr(n_x*fine)
dyn_rise = dblarr(n_x)
dyn_decay = dblarr(n_x)

temp = max(map_arr_bt,index,dimension=1)
index2 = array_indices(map_arr_bt,index)
dyn_max = index2[0,*]


loadct,0,/silent


y_dist = dist_arr[freq_range]/r_s
interval = n_elements(y_dist)*((findgen(7))/6.)

axis,yaxis=1,ys=1,yticks=6,ytit='Altitude [Solar Radii]',ytickname=string(reverse(y_dist[interval]),format='(F5.2)')
y_freq = freq_arr[freq_range]
interval = n_elements(y_freq)*((findgen(7))/6.)
axis,yaxis=0,ys=1,yticks=6,ytick_get=temp,ytickname=string(reverse(y_freq[interval]),format='(F5.1)'),ytit='Frequency [MHz]'


device,/close


set_plot,'x'

   print, 'File "' + ps_file + '" written to current directory.'
   
!p.charthick=1
!p.multi=1
!p.charsize=1
!p.charthick=1
!p.background=1
!x.margin=[10,3]

; save,filename='/disk/solarz2/has/hamish/Documents/clump/figure_data/figure3_1.dat',

end
