; This is going to create a dynamic spectrum from a brightness temperature.  
; The file brightness_temp.pro must be run to create a brightness temperature before running this.
; Currently the dynamic spectrum is going to be from fundamental emission.
; It is assuming saturation of the ion sound waves


set_plot,'ps'
!P.MULTI = 1


ps_file = string('t3_sim_dynspec_fine_final_1MK.eps')
name = string('/disk/solarz2/has/hamish/Documents/'+ps_file)
ps_file = strcompress(name,/remove_all)	


device,filename = ps_file,/color,encapsulated=1,set_font='NewCenturySchlbk-Bold',xsize=12.,ysize=10.,/inches,bits_per_pixel=64
   

!p.charthick=1
!p.charsize=2.5
!p.charthick=5
!p.background=1
!p.color=0
!x.margin=[15,15]



time_arr = indgen(n_t)*tsave
t_min =4.4
t_max = 7.4
time_range = where(time_arr ge t_min and time_arr le t_max)
time_arr_norm = time_arr - time_arr[time_range[0]]
; freq_arr = freq_f
freq_arr = freq
f_min = 20
f_max = 80.;d6
f_min = 32.3
f_max = 32.77
f_min = 39.3
f_max = 40
f_min = 32.5
f_max = 32.84
	
	freq_range = where(freq_arr ge f_min and freq_arr le f_max)

; dist_arr = r_xf
dist_arr = r_x0
fine = 1.

temp = bt_k_max[freq_range,*]
bt = temp[*,time_range]
map_arr_bt = transpose(reverse(bt))  
map = make_map(map_arr_bt/1d11)


pos = [0.19,0.20,0.83,0.83]

loadct,43,file='/disk/solarz2/has/hamish/idl/colourblind.tbl'


dmax = 4e11
dmax = 8e11/1d11
dmin=2d10
dmin = 4d10/1d11

dis = reverse(dist_arr[freq_range]/r_s)
tim = time_arr_norm[time_range]

g2d = gauss2dfit(map_arr_bt,a,/tilt)
g2dm = mpfit2dpeak(map_arr_bt,am,/tilt)
;dy_dx = (dis[1]-dis[0])/(tim[1]-tim[0])*n_elements(dis)/n_elements(tim)*tan(am[6])
dy_dx = (dis[1]-dis[0])/(tim[1]-tim[0])*tan(am[6])
dy_dx = (dis[1]-dis[0])/(tim[1]-tim[0])*tan(-n_elements(dis)*1./n_elements(tim)*am[6]) 
c = dis[min([round(am[5]),n_elements(dis)-1])]-tim[round(am[4])]*dy_dx


mult = 1
g2d3 = gauss2dfit(map_arr_bt,b,tim,dis*mult,/tilt)
dy_dx2 = tan(-b[6])*1.1
; dy_dx2 = -b[6]
d = b[5]-b[4]*dy_dx2

map2 = make_map(g2d)
map3 = make_map(g2d3)
map2 = make_map(g2dm)


striae_max3 = dblarr(n_elements(map_arr_bt[0,*]))
for i=0,n_elements(map_arr_bt[0,*])-1 do begin & temp = max(map_arr_bt[*,i],ind) & striae_max3[i] = tim[ind] &endfor

plot_map_h,map,position=pos,/normal,/noaxes,bottom=1,/cbar,title='',cb_title='Brightness Temperature [10!E11!NK] ',charsize=2.0,dmax=dmax,dmin=dmin


plot,tim,dis*mult,/noerase,/nodata,position=pos,xs=1,ys=5,yr=[max(dist_arr[freq_range]/r_s),min(dist_arr[freq_range]/r_s)]*mult,xtit='Time [s]'

  oplot,tim,d+tim*dy_dx2,thick=10,line=2

fit_range = where(dis gt 0.7657 and dis lt 0.768)

fit_tim = striae_max3[fit_range]
fit_quad = poly_fit(fit_tim,dis[fit_range],2)
oplot,tim,fit_quad[0]+fit_quad[1]*tim+fit_quad[2]*tim^2,line=2,color=280,thick=10
vel_striae_sim = dy_dx2*r_s
vel_striae_sim_evol_1 = fit_quad[1]*r_s
vel_striae_sim_evol_2 = fit_quad[1]*r_s + 2.*3.*fit_quad[2]*r_s


dyn_max = dblarr(n_x*fine)
dyn_rise = dblarr(n_x)
dyn_decay = dblarr(n_x)

temp = max(map_arr_bt,index,dimension=1)
index2 = array_indices(map_arr_bt,index)
dyn_max = index2[0,*]


loadct,0,/silent


y_dist = dist_arr[freq_range]/r_s
interval = n_elements(y_dist)*((findgen(7))/6.)

axis,yaxis=1,ys=1,yticks=6,ytit='Altitude [Solar Radii]',ytickname=string(reverse(y_dist[interval]),format='(F6.3)')
y_freq = freq_arr[freq_range]
interval = n_elements(y_freq)*((findgen(7))/6.)
axis,yaxis=0,ys=1,yticks=6,ytick_get=temp,ytickname=string(reverse(y_freq[interval]),format='(F5.2)'),ytit='Frequency [MHz]'


device,/close


set_plot,'x'

   print, 'File "' + ps_file + '" written to current directory.'
   
!p.charthick=1
!p.multi=1
!p.charsize=1
!p.charthick=1
!p.background=1
!x.margin=[10,3]

end
