; This is going to create a dynamic spectrum from a brightness temperature.  
; Currently the dynamic spectrum is going to be from fundamental emission.
; It is assuming saturation of the ion sound waves



!p.font=1

set_plot,'ps'
!P.MULTI = 1


; ps_file = string('~/oc/Documents/clumps/t3_180_1_dynspec_final_ref2.eps')
; t_min = 39.71
; t_max = 39.78


; ps_file = string('~/oc/Documents/clumps/t3_207_1_dynspec_final_ref2.eps')
; t_min = 75.55
; t_max = 75.62

ps_file = string('~/oc/Documents/clumps/t3_356_1_dynspec_final_ref2.eps')
t_min = 93.32
t_max = 93.41


ps_file = strcompress(ps_file,/remove_all)	

device,filename = ps_file,/color,encapsulated=1,set_font='NewCenturySchlbk-Bold',xsize=12.,ysize=10.,/inches,bits_per_pixel=64
   

!p.charthick=1
!p.charsize=4.0
!p.charthick=5
!p.background=1
!p.color=0
!x.margin=[15,15]



time_arr_norm = (t3_time-t3_time[0])*60.
time_arr = t3_time




t3_time_range = where(time_arr ge t_min and time_arr le t_max)
time_arr_norm = (t3_time-t3_time[t3_time_range[0]])*60.
freq_arr = t3_freq_r

f_min = 30
f_max = 40


t3_freq_range = where(freq_arr ge f_min and freq_arr le f_max)
t3_freq = freq_arr[t3_freq_range]

dist_arr = r_x0
fine = 1.

freq_arr = freq
freq_range = where(freq_arr ge f_min and freq_arr le f_max)

t3_dist_range = dist_arr[freq_range]

temp = t3_spec[*,t3_freq_range]
map_arr = temp[t3_time_range,*]

map = make_map(map_arr)

loadct,43,file='colourblind.tbl'


dmax = 20
dmin = 1.

pos = [0.19,0.19,0.83,0.83]

plot_map_h,map,position=pos,/normal,/noaxes,bottom=1,/cbar,title='',cb_title='Flux [SFU]',charsize=2.0,dmax=dmax,dmin=dmin
plot,time_arr_norm[t3_time_range],reverse(t3_freq_r[t3_freq_range]),/noerase,/nodata,position=pos,xs=1,ys=5,yr=[min(freq_arr[freq_range]),max(freq_arr[freq_range])],xtit='Time [s]'


loadct,0,/silent


y_freq = reverse(t3_freq)
interval = n_elements(y_freq)*((findgen(7))/6.)
axis,yaxis=0,ys=1,yticks=6,ytick_get=temp,ytickname=string(reverse(y_freq[interval]),format='(F4.1)'),ytit='Frequency [MHz]'


y_dist = t3_dist_range/r_s
interval = n_elements(y_dist)*((findgen(7))/6.)

axis,yaxis=1,ys=1,yticks=6,ytit='Altitude [Solar Radii]',ytickname=string(reverse(y_dist[interval]),format='(F4.2)')



device,/close


set_plot,'x'

   print, 'File "' + ps_file + '" written to current directory.'
   
!p.charthick=1
!p.multi=1
!p.charsize=1.5
!p.charthick=1
!p.background=1
!x.margin=[10,3]
!p.font=1


end
