; You must run t3_dynspec_map_basic before running this program.

; This file is for plotting the frequency vs the brightness temperature for the clumps paper.

!p.font=1



set_plot,'ps'
loadct,43,file='colourblind.tbl'
!p.multi=1

!p.charsize=2.5
!p.charthick=10
!p.symsize=1.0
!p.thick=6
!p.multi=1
!x.margin=[10,2]
!x.omargin=[0,0]

; ps_file = string('~/oc/Documents/clumps/t3_180_1_max_flux_ref2.eps')
; ps_file = string('~/oc/Documents/clumps/t3_207_1_max_flux_ref2.eps')
ps_file = string('~/oc/Documents/clumps/t3_356_1_max_flux_ref2.eps')

max_flux = max(map_arr,dimension=1)
freq_range = t3_freq_r[t3_freq_range]

flux_err = sqrt(max_flux)
flux_err[where(flux_err lt 1)] = 1.
log_flux_err = 0.434*flux_err/max_flux

device,filename = ps_file,/color,encapsulated=1,set_font='NewCenturySchlbk-Bold',xsize=9.,ysize=6.,/inches

plot,freq_range,alog10(max_flux),psym=2.,/nodata,xtit='Frequency [MHz]',yr=alog10([5d-1,2d2]),ys=5


_i_sm = smooth(max_flux,n_elements(max_flux)/3.,/edge_truncate)
oploterr,freq_range,alog10(max_flux),log_flux_err,psym=7,color=42,errcolor=254,symsize=0.5,errthick=0.5;,hatlength=5
oplot,freq_range,alog10(max_flux),psym=7,color=42,symsize=0.5
oplot,freq_range,alog10(_i_sm),color=124,thick=8
axis,/ylog,yr=[5d-1,2d2],ys=1,yaxis=0,ytit='Peak Flux [SFU]'
axis,/ylog,yr=[5d-1,2d2],ys=1,yaxis=1,ytickname=replicate(' ',30)


print,'Saved ',ps_file


!p.multi=1

device,/close

!p.charsize=1
!p.charthick=1
!p.symsize=1
!p.thick=1

set_plot,'x'


; save,filename='~/oc/Documents/clumps/resubmit/figure7_2.dat',freq_range,max_flux,log_flux_err,_i_sm







end
