; You must run clump_dnn_fft_all.pro before running this script. 
; It creates a figure for a sinusoidal perturbation with varying amplitude




!p.font=1


set_plot,'ps'
; loadct,41,file='~/idl/colors1.tbl'
loadct,43,file='/disk/solarz2/has/hamish/idl/colourblind.tbl'

!p.multi=1

!p.charsize=2.5
!p.charthick=10
!p.symsize=1.0
!p.thick=6
!p.multi=1
!x.margin=[10,2]
!x.omargin=[0,0]

fname=string('clump/g_sin_dnn_fft_sm_ref2.eps')

name = string('~/Documents/'+fname)
name = strcompress(name,/remove_all)
device,filename = name,/color,encapsulated=1,set_font='NewCenturySchlbk-Bold',xsize=9.,ysize=6.,/inches

wn_div = 1.19d-10*16.8
; n = n_elements(x[*,0])
 
; plot,x,y,xtit=xtit,ytit=ytit,/nodata

plot_oo,wn/wn_div,pow_spec_all_2[0,300,*],xtit='Wavenumber [k/k!D1!N]',ytit='Power Spectral Density',/nodata,xs=1,xr=[3d-2,6d1],yr=[1d-30,1d-21],pos=[0.15,0.20,0.95,0.95]
colors=[20,140,80,280]
colors=[20,126,42,254]
for i=sims-2,sims-1 do oplot,wn/wn_div,pow_spec_all_2[i,300,*],color=colors[i-1]
;oplot,wn3/wn_div,pow_spec_temp[300,*]*10.,color=20

; plot_oo,wn/wn_div,pow_spec_all_3[3,*],xtit='Wavenumber [2!9p!3/50 Mm!E-1!N]',ytit='Power Spectral Density',/nodata,xs=1,xr=[3d-2,3d1]
; colors=[140,80,280]
; for i=2,0,-1 do oplot,wn/wn_div,pow_spec_all_3[i+1,*],color=colors[i]

; 
; ssw_legend,['A=10!E-2!N','A=10!E-3!N','A=10!E-4!N'],textcolors=reverse(colors),/left,/bottom,box=0,charsize=2
;ssw_legend,['A=0.01','A=0.001','A=0.0001','A=0.00001'],textcolors=reverse(colors),/left,/bottom,box=0,charsize=2
; ssw_legend,['k=2!9p!3/50 Mm','k=2!9p!3/10 Mm','k=2!9p!3/10 Mm, v!dg!N=0'],textcolors=[80,280,0],/bottom,/left,box=0
;ssw_legend,['v!dg!N=0','v!dg!N>0'],textcolors=[80,280],/bottom,/left,box=0
ssw_legend,['!9l!D1!N!3 = 50 Mm','!9l!D2!N!3 = 10 Mm'],textcolors=[80,280],/left,box=0,charsize=2,/bottom
print,'Saved ',name


!p.multi=1

device,/close

!p.charsize=1
!p.charthick=1
!p.symsize=1
!p.thick=1

set_plot,'x'

; save,filename='/disk/solarz2/has/hamish/Documents/clump/figure_data/figure8_2.dat',sims,wn,pow_spec_all_2


end